#pragma once

typedef struct {
	std::wstring absolutepath;
	std::wstring relativepath;
	std::wstring display;
	std::wstring name;
	bool directory;
	INT64 filesize;
	FILETIME LastWriteTime;
} fileentry;


int listLocal(param::paramdata& param);
std::vector<fileentry> localsearch(param::paramdata& param);

